in scala
object Console

`object` Console
  `extends` java.lang.Object
  `with` scala.ScalaObject

  The `Console` object implements functionality for printing Scala values on the terminal. There are also functions for reading specific values. `Console` also defines constants for marking up text on ANSI terminals.

author:
  Matthias Zenger
version:
  1.0, 03/09/2003

Constructor Summary
| `def` this

Def Summary
| `def` flush : scala.Unit Flush the output stream. This function is required when partial output (i.e. output not terminated by a new line character) has to be made visible on the terminal.
| `def` print ( obj : scala.Any ) : scala.Unit Print an object on the terminal.
| `def` printf ( text : java.lang.String ) ( args : scala.Any* ) : scala.Unit Format and print out some text (in a fashion similar to printf in C). The format of the text to print is specified by the parameter `text`. The arguments that are inserted into specific locations in `text` are provided with parameter `args`. See class `java.text.MessageFormat` for a full specification of the format syntax.
| `def` println ( x : scala.Any ) : scala.Unit Print out an object followed by a new line character.
| `def` println : scala.Unit Print a new line character on the terminal.
| `def` readBoolean : scala.Boolean Read a boolean value from the terminal.
| `def` readByte : scala.Byte Read a byte value from the terminal.
| `def` readChar : scala.Char Read a char value from the terminal.
| `def` readDouble : scala.Double Read a double value from the terminal.
| `def` readFloat : scala.Float Read a float value from the terminal.
| `def` readInt : scala.Int Read an int value from the terminal.
| `def` readLine : java.lang.String Read a full line from the terminal.
| `def` readShort : scala.Short Read a short value from the terminal.
| `def` readf ( format : java.lang.String ) : scala.List[scala.Any] Read in some structured input, specified by a format specifier. See class `java.text.MessageFormat` for details of the format specification.
| `def` readf1 ( format : java.lang.String ) : scala.Any Read in some structured input, specified by a format specifier. Opposed to `readf`, this function only returns the first value extracted from the input according to the format specification.
| `def` readf2 ( format : java.lang.String ) : scala.Tuple2[scala.Any,scala.Any] Read in some structured input, specified by a format specifier. Opposed to `readf`, this function only returns the first two values extracted from the input according to the format specification.
| `def` readf3 ( format : java.lang.String ) : scala.Tuple3[scala.Any,scala.Any,scala.Any] Read in some structured input, specified by a format specifier. Opposed to `readf`, this function only returns the first three values extracted from the input according to the format specification.
| `def` setIn ( in : java.io.InputStream ) : scala.Unit Set the default input stream.
| `def` setIn ( reader : java.io.Reader ) : scala.Unit Set the default input stream.
| `def` setOut ( out : java.io.OutputStream ) : scala.Unit Set the default output stream.
| `def` setOut ( out : java.io.PrintStream ) : scala.Unit Set the default output stream.
| `def` withIn [ T ] ( in : java.io.InputStream ) ( thunk : => T ) : T Set the default input stream for the duration of execution of one thunk.
| `def` withIn [ T ] ( reader : java.io.Reader ) ( thunk : => T ) : T Set the default input stream for the duration of execution of one thunk.
| `def` withOut [ T ] ( out : java.io.OutputStream ) ( thunk : => T ) : T Set the default output stream for the duration of execution of one thunk.
| `def` withOut [ T ] ( out : java.io.PrintStream ) ( thunk : => T ) : T Set the default output stream for the duration of execution of one thunk.

Constructor Detail

`def` this

Def Detail

`def` flush : scala.Unit

  Flush the output stream. This function is required when partial output (i.e. output not terminated by a new line character) has to be made visible on the terminal.

`def` print ( obj : scala.Any ) : scala.Unit

  Print an object on the terminal.

param:
  obj the object to print.

`def` printf ( text : java.lang.String ) ( args : scala.Any* ) : scala.Unit

  Format and print out some text (in a fashion similar to printf in C). The format of the text to print is specified by the parameter `text`. The arguments that are inserted into specific locations in `text` are provided with parameter `args`. See class `java.text.MessageFormat` for a full specification of the format syntax.

param:
  text the format of the text to print out.
param:
  args the parameters used to instantiate the format.

`def` println ( x : scala.Any ) : scala.Unit

  Print out an object followed by a new line character.

param:
  x the object to print.

`def` println : scala.Unit

  Print a new line character on the terminal.

`def` readBoolean : scala.Boolean

  Read a boolean value from the terminal.

return:
  the boolean value read from the terminal.

`def` readByte : scala.Byte

  Read a byte value from the terminal.

`def` readChar : scala.Char

  Read a char value from the terminal.

`def` readDouble : scala.Double

  Read a double value from the terminal.

`def` readFloat : scala.Float

  Read a float value from the terminal.

`def` readInt : scala.Int

  Read an int value from the terminal.

`def` readLine : java.lang.String

  Read a full line from the terminal.

return:
  the string read from the terminal.

`def` readShort : scala.Short

  Read a short value from the terminal.

`def` readf ( format : java.lang.String ) : scala.List[scala.Any]

  Read in some structured input, specified by a format specifier. See class `java.text.MessageFormat` for details of the format specification.

param:
  format the format of the input.
return:
  a list of all extracted values.

`def` readf1 ( format : java.lang.String ) : scala.Any

  Read in some structured input, specified by a format specifier. Opposed to `readf`, this function only returns the first value extracted from the input according to the format specification.

`def` readf2 ( format : java.lang.String ) : scala.Tuple2[scala.Any,scala.Any]

  Read in some structured input, specified by a format specifier. Opposed to `readf`, this function only returns the first two values extracted from the input according to the format specification.

`def` readf3 ( format : java.lang.String ) : scala.Tuple3[scala.Any,scala.Any,scala.Any]

  Read in some structured input, specified by a format specifier. Opposed to `readf`, this function only returns the first three values extracted from the input according to the format specification.

`def` setIn ( in : java.io.InputStream ) : scala.Unit

  Set the default input stream.

param:
  in the new input stream.

`def` setIn ( reader : java.io.Reader ) : scala.Unit

  Set the default input stream.

param:
  reader specifies the new input stream.

`def` setOut ( out : java.io.OutputStream ) : scala.Unit

  Set the default output stream.

param:
:
  out the new output stream.

`def` setOut ( out : java.io.PrintStream ) : scala.Unit

  Set the default output stream.

param:
  out the new output stream.

`def` withIn [ T ]( in : java.io.InputStream ) ( thunk : => T ) : T

  Set the default input stream for the duration of execution of one thunk.

param:
  in the new input stream.
param:
  thunk the code to execute with the new input stream active

`def` withIn [ T ]( reader : java.io.Reader ) ( thunk : => T ) : T

  Set the default input stream for the duration of execution of one thunk.

param:
  in the new input stream.
param:
  thunk the code to execute with the new input stream active

`def` withOut [ T ]( out : java.io.OutputStream ) ( thunk : => T ) : T

  Set the default output stream for the duration of execution of one thunk.

param:
  out the new output stream.
param:
  thunk the code to execute with the new output stream active

`def` withOut [ T ]( out : java.io.PrintStream ) ( thunk : => T ) : T

  Set the default output stream for the duration of execution of one thunk.

param:
  out the new output stream.
param:
  thunk the code to execute with the new output stream active